package proxy.command;

import proxy.Proxy;
import proxy.handler.ProxyHandler;
import proxy.util.Formatter;
import proxy.util.Log;

public abstract class Command {
	public abstract String getName();
	public abstract String getHelp();
	public String getArgs() {
		return null;
	}
	public abstract void run(Proxy proxy, ProxyHandler player, String[] args);
	public Iterable<String> complete(Proxy proxy, ProxyHandler player, String[] args) {
		return null;
	}
	public int getRedactedLogArg(int args) {
		return -1;
	}
	
	protected static void sendMessage(ProxyHandler player, String msg) {
		if(player != null)
			player.sendMessage(msg);
		else
			Log.info(Formatter.strip(msg));
	}
	
	protected static void sendMessage(ProxyHandler player, String fmt, Object ... args) {
		sendMessage(player, String.format(fmt, args));
	}
	
	protected static void sendInfo(ProxyHandler player, String msg) {
		sendMessage(player, Formatter.LIGHT_PURPLE + msg);
	}
	
	protected static void sendInfo(ProxyHandler player, String fmt, Object ... args) {
		sendInfo(player, String.format(fmt, args));
	}
}
