package proxy.command;

import proxy.Proxy;
import proxy.handler.ProxyHandler;
import proxy.util.Formatter;

public class CommandList extends Command {
	public String getName() {
		return "list";
	}
	
	public String getHelp() {
		return "Displays a list of online players";
	}

	public void run(Proxy proxy, ProxyHandler player, String[] args) {
		int cnt = proxy.getPlayers().size();
		for(ProxyHandler plr : proxy.getPlayers()) {
			sendMessage(player, (plr.isAdmin() ? Formatter.GOLD : Formatter.GREEN) + plr.getUsername());
		}
		sendMessage(player, (cnt == 0 ? Formatter.GRAY + "No players are" : Formatter.DARK_GREEN + (cnt == 1 ? "1 player is" : "%d players are")) + " online", cnt);
	}
}
