package proxy.command;

import proxy.Proxy;
import proxy.handler.ProxyHandler;
import proxy.util.Formatter;
import proxy.util.User;

public class CommandRevoke extends Command {
	public String getName() {
		return "revoke";
	}
	
	public String getHelp() {
		return "Removes a users admin status (console only)";
	}
	
	public String getArgs() {
		return "<username>";
	}

	public void run(Proxy proxy, ProxyHandler player, String[] args) {
		if(player != null)
			throw new RunException("Only the console can revoke admin status");
		if(args.length < 1)
			throw new RunException("Please provide a username");
		User user = proxy.getUser(args[0]);
		if(user == null)
			throw new RunException("'%s' is not registered", args[0]);
		if(!user.isAdmin())
			throw new RunException("%s is not an admin", user.getUsername());
		user.setAdmin(false);
		if(user.isOnline())
			((ProxyHandler)user).sendMessage(Formatter.RED + "Your admin privileges were revoked");
		sendInfo(player, "%s is no longer an admin", user.getUsername());
	}
}
