package proxy.handler;

import proxy.Proxy;
import proxy.network.Connection;
import proxy.packet.I00PacketServerInfo;
import proxy.packet.I01PacketPong;
import proxy.packet.Q00PacketServerQuery;
import proxy.packet.Q01PacketPing;

public class StatusHandler implements Handler {
	private static final String EXIT_MESSAGE = "Status request has been handled.";
	
	private final Proxy proxy;
	private final Connection connection;
	
	private boolean handled;

	public StatusHandler(Proxy proxy, Connection connection) {
		this.proxy = proxy;
		this.connection = connection;
	}

	public void onDisconnect(Connection connection, String reason) {
	}

	public void processServerQuery(Q00PacketServerQuery packet) {
		if(this.handled) {
			this.connection.closeChannel(EXIT_MESSAGE);
		}
		else {
			this.handled = true;
			this.connection.sendPacket(new I00PacketServerInfo(this.proxy.getStatus()));
		}
	}

	public void processPing(Q01PacketPing packet) {
		this.connection.sendPacket(new I01PacketPong(packet.getClientTime()));
		this.connection.closeChannel(EXIT_MESSAGE);
	}
}
