package proxy.packet;

import java.io.IOException;

import proxy.handler.ProxyHandler;
import proxy.network.Packet;
import proxy.network.PacketBuffer;

public class C19PacketResourcePackStatus implements Packet<ProxyHandler> {
	private static enum Action {
		SUCCESSFULLY_LOADED, DECLINED, FAILED_DOWNLOAD, ACCEPTED;
	}

	private String hash;
	private C19PacketResourcePackStatus.Action status;

	public void readPacketData(PacketBuffer buf) throws IOException {
		this.hash = buf.readStringFromBuffer(40);
		this.status = buf.readEnumValue(Action.class);
	}

	public void writePacketData(PacketBuffer buf) throws IOException {
		buf.writeString(this.hash);
		buf.writeEnumValue(this.status);
	}

	public void processPacket(ProxyHandler handler) {
	}
}
