package proxy.packet;

import java.io.IOException;

import proxy.handler.ProxyHandler;
import proxy.network.Packet;
import proxy.network.PacketBuffer;

public class S42PacketCombatEvent implements Packet<ProxyHandler> {
	private static enum Event {
		TYPE1, TYPE2, TYPE3;
	}

	public Event ignored0;
	public int ignored1;
	public int ignored2;
	public int ignored3;
	public String ignored4;

	public void readPacketData(PacketBuffer buf) throws IOException {
		this.ignored0 = buf.readEnumValue(Event.class);
		if(this.ignored0 == Event.TYPE2) {
			this.ignored3 = buf.readVarIntFromBuffer();
			this.ignored2 = buf.readInt();
		}
		else if(this.ignored0 == Event.TYPE3) {
			this.ignored1 = buf.readVarIntFromBuffer();
			this.ignored2 = buf.readInt();
			this.ignored4 = buf.readStringFromBuffer(32767);
		}
	}

	public void writePacketData(PacketBuffer buf) throws IOException {
		buf.writeEnumValue(this.ignored0);
		if(this.ignored0 == Event.TYPE2) {
			buf.writeVarIntToBuffer(this.ignored3);
			buf.writeInt(this.ignored2);
		}
		else if(this.ignored0 == Event.TYPE3) {
			buf.writeVarIntToBuffer(this.ignored1);
			buf.writeInt(this.ignored2);
			buf.writeString(this.ignored4);
		}
	}

	public void processPacket(ProxyHandler handler) {
	}
}
