package proxy.util;

public class Log {
	private static final boolean DEBUG = System.getProperty("log.debug") != null;
	
	private static void log(String prefix, String msg) {
		System.err.printf("[%s|%s] %s\n", prefix, Thread.currentThread().getName(), msg);
	}
	
	public static void error(String msg) {
		log("error", msg);
	}
	
	public static void error(String fmt, Object ... args) {
		log("error", String.format(fmt, args));
	}
	
	public static void error(Throwable t, String msg) {
		log("error", msg);
		t.printStackTrace(System.err);
	}
	
	public static void error(Throwable t, String fmt, Object ... args) {
		log("error", String.format(fmt, args));
		t.printStackTrace(System.err);
	}
	
	public static void warn(String msg) {
		log("warn", msg);
	}
	
	public static void warn(String fmt, Object ... args) {
		log("warn", String.format(fmt, args));
	}
	
	public static void info(String msg) {
		log("info", msg);
	}
	
	public static void info(String fmt, Object ... args) {
		log("info", String.format(fmt, args));
	}
	
	public static void debug(String msg) {
		if(DEBUG)
			log("debug", msg);
	}
	
	public static void debug(String fmt, Object ... args) {
		if(DEBUG)
			log("debug", String.format(fmt, args));
	}
}
